
package de.ivu.elect.business.personenregister.control;

import static java.util.Arrays.asList;

import java.util.List;

import de.ivu.elect.business.konfiguration.entity.CustomParameterFilter;
import de.ivu.elect.business.konfiguration.entity.Konfiguration;
import de.ivu.elect.business.personenregister.entity.PersonenregisterSuchbereichTyp;

public class PersonenregisterSuchbereichTypFilter implements CustomParameterFilter<Konfiguration, PersonenregisterSuchbereichTyp> {

  public PersonenregisterSuchbereichTypFilter() {
    super();
  }

  @Override
  public List<PersonenregisterSuchbereichTyp> filter(Konfiguration konfiguration, List<PersonenregisterSuchbereichTyp> values) {
    return asList(PersonenregisterSuchbereichTyp.BUNDESLAND, PersonenregisterSuchbereichTyp.GEMEINDE);
  }
}
